/* $Id: Application.java,v 1.6 2005/08/26 04:44:44 ysahara Exp $
*
* Copyright (c)ARGO 21, Corporation. 2005.  All rights reserved.
 * 
 * This file is part of Nautica Workflow.
 * 
 *  Nautica Workflow is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  Nautica Workflow is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with Nautica Workflow; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *  
*/
package jp.co.argo21.nautica.workflow.sample.model;

import java.sql.Timestamp;
import java.text.DateFormat;

import jp.co.argo21.nautica.workflow.security.User;

/**
 * 申請を表すクラス。
 * 
 * @author  ruchida(Argo 21, Corp.)
 * @version $Revision: 1.6 $
 * @since   Nautica Workflow 0.9
 */
public class Application {
    
    /** 申請書番号 */
    private String id;
    
    /** 申請種別 */
    private AppKind kind;
    
    /** ユーザID */
    private String userid;
    
    /** ユーザ */
    private User user;
    
    /** 日付 */
    private Timestamp date;
    
    /**
     * 申請書番号を返す。
     * 
	 * @return 申請書番号
	 */
	public String getId() {
        return id;
    }
    
    /**
     * 申請書番号を設定する。
     * 
	 * @param id 申請書番号
	 */
	public void setId(String id) {
        this.id = id;
    }
    
    /**
     * 申請種別を返す。
     * 
	 * @return 申請種別
	 */
	public AppKind getKind() {
        return kind;
    }
    
    /**
     * 申請種別を設定する。
     * 
	 * @param kind 申請種別
	 */
	public void setKind(AppKind kind) {
        this.kind = kind;
    }
    
    /**
     * ユーザIDを返す。
     * 
     * @return ユーザID
     */
    public String getUserid() {
        return userid;
    }
    
    /**
     * ユーザIDを設定する。
     * 
     * @param userid ユーザID
     */
    public void setUserid(String userid) {
        this.userid = userid;
    }
    
    /**
     * ユーザを返す。
     * 
	 * @return Returns the user.
	 */
	public User getUser() {
        return user;
    }
    
    /**
     * ユーザを設定する。
     * 
	 * @param user ユーザ
	 */
	public void setUser(User user) {
        this.user = user;
    }
    
    /**
     * 日付を返す。
     * 
	 * @return 日付
	 */
	public Timestamp getDate() {
        return date;
    }
    
    /**
     * 日付を設定する。
     * 
	 * @param date 日付
	 */
	public void setDate(Timestamp date) {
        this.date = date;
    }
    
    /**
     * 日付を返す。
     * 
     * @return 日付
     */
    public String getDateString() {
		DateFormat dateInstance = DateFormat.getDateInstance(DateFormat.FULL);
		return dateInstance.format(date);
    }
}
